<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link rel="stylesheet" href="disenio_anuncios/estilo.css" type="text/css" />
<script language="javascript" type="text/javascript" src="disenio_anuncios/validacion.js"></script>

<script type="text/JavaScript">
<!--
function MM_popupMsg(msg) { //v1.0
  alert(msg);
}
//-->
</script>

<script language="javascript">
function anadir(frm) {
   if(frm.agregar.value == ''){
      alert('No puedes Introducir opciones en blanco');
   }else{
  opt = new Option(frm.agregar.value,frm.agregar.value);
  frm.sitio_web.options[frm.sitio_web.options.length] = opt;
  frm.agregar.value = '';
  }
}
</script>

</head>
<body onload="foco()">

<!-- INICIA FORMULARIO DE REGISTRO DE anuncios-->					
<center>
<div id="formulario">

<!-- CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL-->
<?php
$empleado=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
if($re=mysql_fetch_array($empleado))
{
 $id_empleado=$re['id_empleado'];
 $nom=$re['nombre'];
 $a_pat=$re['a_pat'];
 $a_mat=$re['a_mat'];
}
?>
<!-- CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL-->
	<div class="titulos">Anuncios</div>
	<form name="form1" action="" method="post" onsubmit="return validar(this)">
	<input type="hidden" name="id" value="<?php echo $id_empleado; ?>" />
	<table border="0" width="358" height="35" align="center" class="tablas">
		  <tr>
			<td width="125"><div class="datos">Dirección Anuncio</div></td>
			<td width="223"><div class="cajas"><input name="anuncio" type="text" size="30"/>
			</div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="358" height="35" align="center" class="tablas">
		  <tr>
			<td width="125"><div class="datos">Directorio</div></td>
			<td width="223">
			<div class="cajas">
			<select name="sitio_web">
            <option value=""></option>
			<?php
			$directorios=mysql_query("select * from directorios",$db_conexion);
			while($rdir=mysql_fetch_array($directorios))
			{
			 echo "<option value='$rdir[id]' style='font-size:10.5px;'>$rdir[descripcion]</option>";
			}
			?>
			</select>
			</div>
			</td>
		  </tr>
	</table>   
	<br />
    
     <table border="0" width="358" height="35" align="center" class="tablas">
         <tr>
          <td width="125"><input type="button" value="Agregar Directorio(+)" onclick="anadir(this.form)" style="height:20px; font-size:10px;" /></td>
			<td width="223" class="cajas"><input type="text" name="agregar" style="background-color:#E0E8F3;font-size:10.5px;" onChange="javascript:this.value=this.value.toUpperCase();" size="30"/></td>
		  </tr>
	</table>	
    
	<br />
	<table border="0" width="358" height="35" align="center" class="tablas">
	  <tr>
		<td width="125"><div class="datos">Fecha Ingreso</div></td>
		<td width="223"><div class="cajas"><input type="text" name="fecha_ingreso" value="<?php echo date("Y-m-d"); ?>" size="10" readonly="readonly"></div></td>
	  </tr>
	</table>  
	<br />	    
<input type="hidden" name="hora_ingreso" value="<?php echo date("H:i:s"); ?>" readonly="readonly" style="background-color:#f5f5f5; text-align:right; border:none;">
		
		<table border="0" width="366" height="35" align="center" class="tablas">
			
			  <tr>
			    <td><div class="titulos">Confirmar que los datos se han introducido correctamente.</div></td>
		      </tr>
			  <tr>
				<td width="208"><div align="center">
				  <input type="submit" name="botonregistro" id="enviar" value="Registrar" />
				  </div></td>
			  </tr>
    </table>  
</form>

</div>
</center>
</body>
</html>			 
	<!-- TERMINA FORMULARIO DE REGISTRO DE anuncios-->					
						<?
						 if(isset($_POST['botonregistro']))
						  {
						   					  
						  $id_empleado=$_POST['id'];
						  $anuncio=$_POST['anuncio'];
						  $sitio_web=$_POST['sitio_web'];
						  $fechaingreso=$_POST['fecha_ingreso'];
						  $hora=$_POST['hora_ingreso'];
						  
						  // CONSULTA PARA COMPROBAR QUE LOS DIRECTORIOS NO SE REPITAN
						  $consulta_directorios=mysql_query("select count(*) as repetido from directorios where id='$sitio_web'",$db_conexion);
						  $directorio_repetido=mysql_fetch_array($consulta_directorios);
						  if($directorio_repetido['repetido']==0)
						  {
							$inserta_directorio=mysql_query("insert into directorios(descripcion) values('$sitio_web')",$db_conexion);  		
							$nuevo_id=mysql_query("select * from directorios where descripcion='$sitio_web'");
							  if($res_nuevo_id=mysql_fetch_array($nuevo_id))
							  {
							  $id_directorio=$res_nuevo_id['id'];
							  }				
							  
							  // INSERTAR ANUNCIO
							  
							  // CONSULTA PARA EVITAR ANUNCIOS REPETIDOS
							  $repetidos=mysql_query("select count(*) as repetidos from anuncios where anuncio='$anuncio' and fecha_ingreso='$fechaingreso' and sitio_web='$sitio_web'",$db_conexion);
							  // FIN DE CONSULTA PARA EVITAR ANUNCIOS REPETIDOS
							  $rr=mysql_fetch_array($repetidos);
						  		if($rr['repetidos']==0)
						  			{							              
									  $anuncios=mysql_query("insert into anuncios(id_empleado,anuncio,sitio_web,fecha_ingreso,hora) values('$id_empleado','$anuncio','$id_directorio','$fechaingreso','$hora_ingreso')",$db_conexion) or die("error en el insert".mysql_error());
						  
									echo "<script language='javascript'>alert('Los datos se han registrado correctamente');window.open('anuncio_registro.php','_self');</script>";
						  			}
									else
									{
									echo "<script language='javascript'>alert('El anuncio ya existe. Favor de Verificar');</script>";
									}
							  // FIN DE INSERCION							  
							  
						    }
							
						    else 
							{
								// INSERTAR ANUNCIO
							  
							  // CONSULTA PARA EVITAR ANUNCIOS REPETIDOS
							  $repetidos=mysql_query("select count(*) as repetidos from anuncios where anuncio='$anuncio' and fecha_ingreso='$fechaingreso' and sitio_web='$sitio_web'",$db_conexion);
							  // FIN DE CONSULTA PARA EVITAR ANUNCIOS REPETIDOS
							  $rr=mysql_fetch_array($repetidos);
						  		if($rr['repetidos']==0)
						  			{							              
									  $anuncios=mysql_query("insert into anuncios(id_empleado,anuncio,sitio_web,fecha_ingreso,hora) values('$id_empleado','$anuncio','$sitio_web','$fechaingreso','$hora_ingreso')",$db_conexion) or die("error en el insert".mysql_error());
						  
									echo "<script language='javascript'>alert('Los datos se han registrado correctamente');window.open('anuncio_registro.php','_self');</script>";
						  			}
									else
									{
									echo "<script language='javascript'>alert('El anuncio ya existe. Favor de Verificar');</script>";
									}
							  // FIN DE INSERCION	
							}						  
						    // FIN DE CONSULTA								  
						  
						    }
						 ?>
						